<?php

//禁止直接访问
!defined('IN_SYSTEM') && exit('Access Denied');

//连接到MYSQL并打开系统数据库
$DataBase->open_db();
//读取全部留言信息
$DataBase->sel("message", "WHERE `check` = '2' ORDER by `id` ".ORDER);
//关闭数据库连接
$DataBase->close_dblink();

//分页处理
$PageC = new PageC();	//实例化分页类
$PageC->Page = $page;		//当前页码
$PageC->Total = count($DataBase->Result);	//查询总数
$PageC->PageSize = 10;	//每页显示条数
//链接样式，伪静态待写
$PageC->Url = WEB_URL.'/admin/index.php?location=recycle&page={#Page}';	//样式
$PageUrlList = $PageC->CreatePageCodeList(1);	//分页连接

//当前页列表
$MessageList = array();
for($i=($PageC->Pg()); $i<($PageC->Pg())+$PageC->PageSize; $i++){
	if(isset($DataBase->Result[$i])){
		$MessageList[$i] = $DataBase->Result[$i];
		$MessageList[$i]['content'] = stripslashes_d($MessageList[$i]['content']);	//留言内容去除转义
	}
}

$smarty->assign('MessageList', $MessageList);	//留言列表
$smarty->assign('PageUrlList', $PageUrlList);	//分页链接

?>